Bug 180048 - system-install-packages installs SRPM as RPM
system-install-packages installs SRPM as RPM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-04 21:40 EST by Aaron Kurtz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 12:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Kurtz 2006-02-04 21:40:23 EST
Description of problem:
First off, I just wanted to say what a great job you've been doing with pirut. 
It's great that it informs people in the case that a reboot is advised. The work
that you've done with system-install-packages is really nice too. Sadly, this
is a bugzilla entry instead of a "great work" email.
Anyways, system-install-packages is the default application for RPMs in Firefox,
and it works for RPMs. It also installs src.rpms, including all the -devel
requirements, which is great, but when the actual source RPM is installed it's
installed as if it was a typical RPM.

Version-Release number of selected component (if applicable):
pirut-0.9.10-1

Steps to Reproduce:
1. system-install-packages gnomebaker-0.5.1-1.src.rpm
2. -devel RPMs are installed
3. s-i-p asks if unsigned gnomebaker is ok, installs when okayed.

Actual results:
rpm -ql gnomebaker reveals:
gnomebaker-0.5.1.tar.bz2
gnomebaker.spec
installed in the directory where s-i-p was run.
This conflicts with a gnomebaker RPM I built from the SRPM.

Expected results:
gnomebaker should be installed in the /usr/src/redhat RPM directories or
not installed at all. Either way, the installation of the development reqs
is nice. It would be great if the SRPM was put in the user's RPM directories if
.rpmmacros existed and pointed to say ~/rpmbuild and all development reqs 
installed, but I'm getting greedy.
Comment 1 Jeremy Katz 2006-02-06 12:02:46 EST
Given that system-install-packages always runs as root, the right thing to do is
more to just not install srpms.  Fixed

Note You need to log in before you can comment on or make changes to this bug.